package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopEquipModelRel extends Model<SopEquipModelRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_equip_model_id", type = IdType.ASSIGN_UUID)
    private String sopEquipModelId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 设备型号id
     */
    private String equipModelId;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    public String getSopEquipModelId() {
        return sopEquipModelId;
    }

    public void setSopEquipModelId(String sopEquipModelId) {
        this.sopEquipModelId = sopEquipModelId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getEquipModelId() {
        return equipModelId;
    }

    public void setEquipModelId(String equipModelId) {
        this.equipModelId = equipModelId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopEquipModelId;
    }

    @Override
    public String toString() {
        return "SopEquipModelRel{" +
        "sopEquipModelId=" + sopEquipModelId +
        ", sopId=" + sopId +
        ", equipModelId=" + equipModelId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
