package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopLabelRel extends Model<SopLabelRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_label_id", type = IdType.ASSIGN_UUID)
    private String sopLabelId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 标签名称
     */
    private String label;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    public String getSopLabelId() {
        return sopLabelId;
    }

    public void setSopLabelId(String sopLabelId) {
        this.sopLabelId = sopLabelId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopLabelId;
    }

    @Override
    public String toString() {
        return "SopLabelRel{" +
        "sopLabelId=" + sopLabelId +
        ", sopId=" + sopId +
        ", label=" + label +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
