package com.persagy.fm.sop.service;

import com.persagy.old.common.SopConst;

public enum SopState {

    NORMAL2DRAFT(SopConst.PUBLISH_STATUS_NORMAL,SopConst.SOP_STATUS_DRAFT),
    NORMAL2PUBLISH (SopConst.PUBLISH_STATUS_NORMAL,SopConst.SOP_STATUS_PUBLISH),
    NORMAL2DESTROYED(SopConst.PUBLISH_STATUS_NORMAL,SopConst.SOP_STATUS_DESTROYED),

    REVISE2DRAFT(SopConst.PUBLISH_STATUS_REVISE,SopConst.SOP_STATUS_DRAFT),
    REVISE2PUBLISH(SopConst.PUBLISH_STATUS_REVISE,SopConst.SOP_STATUS_PUBLISH),
    REVISE2DESTROYED(SopConst.PUBLISH_STATUS_REVISE,SopConst.SOP_STATUS_DESTROYED),

    REVISEING2DRAFT(SopConst.PUBLISH_STATUS_REVISEING,SopConst.SOP_STATUS_DRAFT),
    REVISEING2PUBLISH(SopConst.PUBLISH_STATUS_REVISEING,SopConst.SOP_STATUS_PUBLISH),
    REVISEING2DESTROYED(SopConst.PUBLISH_STATUS_REVISEING,SopConst.SOP_STATUS_DESTROYED);

    private String publicStatus;
    private String sopStatus;

    SopState(String publicStatus, String sopStatus) {
        this.publicStatus = publicStatus;
        this.sopStatus = sopStatus;
    }

    public String getPublicStatus() {
        return publicStatus;
    }

    public String getSopStatus() {
        return sopStatus;
    }
}
