package com.persagy.fm.sop.service;

import org.springframework.stereotype.Service;

@Service
public class SopStateMachine {
    //新建保存草稿
    public SopState saveDraft() {
        return SopState.NORMAL2DRAFT;
    }
    //未发布草稿到发布
    public SopState newDraft2public() {
        return SopState.NORMAL2PUBLISH;
    }
    //新建到直接发布
    public SopState newPublic() {
        return SopState.NORMAL2PUBLISH;
    }

    //未发布草稿  删除
    public SopState newDraft2Delete() throws Exception {
        throw new Exception("不支持该该方法");
    }

    //已发布编辑 草稿 到发布
    public SopState publicDraft2Public() {
        return SopState.NORMAL2PUBLISH;
    }

    //已发布 编辑 保存草稿
    public SopState public2Draft() {
        return SopState.REVISEING2PUBLISH;
    }

    //已发布点击作废
    public SopState public2Distory() {
        return SopState.NORMAL2DESTROYED;
    }


}
