/**
 * @包名称 com.sagacloud.common
 * @文件名 DataRequestPathUtil.java
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述 
 */

package com.persagy.old.common;

/** 
 * 功能描述： 数据请求路径工具类
 * @类型名称 DataRequestPathUtil
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述 
 */
public class DataRequestPathUtil {
	
	/**** 数据平台请求路径 ***/
	//get：数据平台-数据字典查询
	public final static String dataPlat_dict_query = "BASEPATH/dict/query/PARAM";

	//post: 数据平台-对象模糊查询
	public final static String dataPlat_object_like_query = "BASEPATH/object/search?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-对象-批量查询
	public final static String dataPlat_object_batch_query = "BASEPATH/object/batch_query?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-对象-批量查询 (post)
	public final static String dataPlat_object_batch_query_post = "BASEPATH/object/batch_query";

	//post:根据信息点来查询各物理实体
	public final static String dataPlat_object_query_by_info = "BASEPATH/object/query_by_info?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-对象-查询某个对象下的指定类型的objects
	public final static String dataPlat_object_subset_query = "BASEPATH/object/subset_query?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-系统-查询某个专业下的所有系统
	public final static String dataPlat_system_query_by_domain = "BASEPATH/equipment/system_query?projectId=PROJECTID&secret=SECRET";
	//get:数据平台-项目-管理员查询
	public final static String dataPlat_project_query = "BASEPATH/mng/project/query?secret=SECRET";
	//post:数据平台-对象-设备综合查询
	public final static String dataPlat_equipment_complex_query = "BASEPATH/equipment/complex_query?projectId=PROJECTID&secret=SECRET";
		

	//post:数据平台-关系-图实例-查询
	public final static String dataPlat_relation_graph_instance_query = "BASEPATH/relation/graph_instance/query?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-关系-关系实例-查询
	public final static String dataPlat_relation_relation_instance_query = "BASEPATH/relation/query?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-关系-指定图类型和关系类型的集合
	public final static String dataPlat_relation_query_subset = "BASEPATH/relation/query_subset?projectId=PROJECTID&secret=SECRET";
	//post:数据平台-关系-根据obj_type查询
	public final static String dataPlat_relation_query_by_obj_type = "BASEPATH/relation/query_by_obj_type";


	//get:数据平台-信息点-空间信息点
	public final static String dataPlat_infoPoint_query_space = "BASEPATH/infocode/query/space";
	//get:数据平台-信息点-楼层信息点
	public final static String dataPlat_infoPoint_query_floor = "BASEPATH/infocode/query/floor";
	//get:数据平台-信息点-建筑体信息点
	public final static String dataPlat_infoPoint_query_building = "BASEPATH/infocode/query/building";
	//get:数据平台-信息点-设备、系统独有信息点
	public final static String dataPlat_infoPoint_special = "BASEPATH/infocode/query?ID=PARAM";
	//post:数据平台-信息点-模糊查询
	public final static String dataPlat_infoPoint_search = "BASEPATH/info_point/search?projectId=PROJECTID&secret=SECRET";
	//post：数据平台-抗震设防烈度
	public final static String dataPlat_seismic_precautionary_intensity_query = "BASEPATH/dict/query/seismic_precautionary_intensity";
	//post：数据平台-查询信息点方案
	public final static String dataPlat_custom_infoCode_scheme_query = "BASEPATH/custom_infocode/scheme/query";
	//post：数据平台-查询信息点
	public final static String dataPlat_custom_infoCode_scheme_info_query = "BASEPATH/custom_infocode/scheme/info/query";
	//post：数据平台-增加自定义信息点
	public final static String dataPlat_custom_infoCode_scheme_info_create = "BASEPATH/custom_infocode/scheme/info/create";

	//post : 查询当前用户的密码MD5值
//	public final static String persagy_manage_query_password_byuserid = "BASEPATH/Spring/MVC/entrance/unifier/queryPasswordByUserIdService";

	//post：数据平台-查询种族相关信息点
	public final static String dataPlat_infoCode_query_property = "BASEPATH/infocode/query_property";

	//post:数据平台-图-图实例-添加
	public final static String dataPlat_relation_graph_instance_create = "BASEPATH/relation/graph_instance/create?projectId=PROJECTID&secret=SECRET";
	
	//post:saas-竖井查询
	public final static String dataPlat_query_shaft = "BASEPATH/restObjectService/queryShaft";

	//post:数据平台-根据空间id或设备id查关系详情（层级结构）
	public final static String dataPlat_query_space_or_equip = "BASEPATH/facility/querySpaceOrEquip";
	//post:数据平台-根据空间id或设备id查关系详情（非层级结构）
	public final static String dataPlat_query_space_or_equip_NoHierarchy = "BASEPATH/facility/querySpaceOrEquipNoHierarchy";
}
