package com.persagy.old.common;

import java.util.List;

public class TreeNode {
	private String key;
	private String name;
	private String serial;
	private String parentId;
	private List<TreeNode> children;
	
	/**
	* @return the key
	*/
	
	public String getKey() {
		return key;
	}
	
	/**
	* @param key the key to set
	*/
	
	public void setKey(String key) {
		this.key = key;
	}
	
	/**
	* @return the name
	*/
	
	public String getName() {
		return name;
	}
	
	/**
	* @param name the name to set
	*/
	
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	* @return the serial
	*/
	
	public String getSerial() {
		return serial;
	}
	
	/**
	* @param serial the serial to set
	*/
	
	public void setSerial(String serial) {
		this.serial = serial;
	}
	
	/**
	* @return the parentId
	*/
	
	public String getParentId() {
		return parentId;
	}
	
	/**
	* @param parentId the parentId to set
	*/
	
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	/**
	* @return the children
	*/
	
	public List<TreeNode> getChildren() {
		return children;
	}
	
	/**
	* @param children the children to set
	*/
	
	public void setChildren(List<TreeNode> children) {
		this.children = children;
	}

	
	 
	 /**
	 *(non-Javadoc)
	 * @see Object#toString()
	 */

	@Override
	public String toString() {
		return "TreeNode [key=" + key + ", name=" + name + ", serial=" + serial + ", parentId=" + parentId + ", children=" + children + "]";
	}

	/**
	 *(non-Javadoc)
	 * @see Object#hashCode()
	 */

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((key == null) ? 0 : key.hashCode());
		return result;
	}


	 /**
	 *(non-Javadoc)
	 * @see Object#equals(Object)
	 */
	 
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TreeNode other = (TreeNode) obj;
		if (key == null) {
			if (other.key != null)
				return false;
		} else if (!key.equals(other.key))
			return false;
		return true;
	}
	
}
