package com.persagy.old.config;

import com.persagy.old.dao.DBConst;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

//被@RefreshScope修饰的Bean都是延迟加载的，只有在第一次访问时才会被初始化，刷新Bean也是同理，下次访问时会创建一个信息的对象
//@RefreshScope //这里不能省略  不然不能手动触发
@Component
public class Schema {
	
	@Value("${database.name.physicalworld}")
	public void setPhysicalWorld(String physicalWorld) {
		DBConst.DATABASE_WORLD_NAME = physicalWorld;
	}
	
	@Value("${database.name.saas}")
	public void setSaas(String saas) {
		DBConst.DATABASE_SAAS_NAME = saas;
	}
	
	@Value("${database.name.sop}")
	public void setSop(String sop) {
		DBConst.DATABASE_NAME = sop;
	}
	
	@Value("${database.name.workorder}")
	public void setWokorder(String workorder) {
		DBConst.DATABASE_WORK_ORDER = workorder;
	}
}
