package com.persagy.old.dao;

/**
 * 
 * 功能描述： 数据库操作常量
 * @类型名称 DBConst
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述
 */
public class DBConst {
	public static String DATABASE_NAME = "";
	
	public static String DATABASE_SAAS_NAME = "";

	public static String DATABASE_WORLD_NAME = "";
	
	public static String DATABASE_WORK_ORDER = "";
	
	public final static String TABLE_WO_PLAN = "wo_plan";
	
	//ID标识-自定义信息点
	public final static String ID_TAG_CTM_INFO_POINT ="ctm";
	/****** 表名   ******/
	//工单-流转方案表
	public final static String TABLE_WO_FLOW_PLAN_PERSAGY = "wo_flow_plan_persagy";

	//SOP已发布表
	public final static String TABLE_SOP = "sop";
	//SOP与对象关系表
	public final static String TABLE_SOP_OBJ_REL = "sop_obj_rel";
/*	//SOP与品牌关系表    废弃
	public final static String TABLE_SOP_BRAND_REL = "sop_brand_rel";*/
	//sop与设备型号关系表  新增
	public final static String TABLE_SOP_EPUIP_MODEL_REL = "sop_equip_model_rel";
	//SOP适用于工单类型表
	public final static String TABLE_SOP_ORDER_TYPE_REL = "sop_order_type_rel";
	//SOP与自定义标签关系表
	public final static String TABLE_SOP_LABEL_REL = "sop_label_rel";
	//SOP与SOP关系表
	public final static String TABLE_SOP_SOP_REL = "sop_sop_rel";
/*	//SOP分享表  废弃
	public final static String TABLE_SOP_SHARE = "sop_share";
	//SOP分享使用表  废弃
	public final static String TABLE_SOP_SHARE_USE = "sop_share_use";*/
	//SOP编辑表sop_status
	public final static String TABLE_SOP_EDIT = "sop_edit";
	//SOP历史表
	public final static String TABLE_SOP_HIS = "sop_his";
	//SOP引用关系作废消息表
	public final static String TABLE_SOP_DESTORY_MSG = "sop_destroy_msg";
	//SOP待修订消息表
	public final static String TABLE_SOP_REVISE_MSG = "sop_revise_msg";
	//日志表
	public final static String TABLE_OPERATE_LOG = "operate_log";
	//saas平台-组件关系表
	public final static String TABLE_COMPONENT_RELATION = "component_relation";
    //自定义信息点控件表
    public final static String TABLE_CUSTOM_INFO_POINT = "custom_info_point";
    //JSON转DATA表 初始化表
    public static final String TABLE_INIT_DATA = "init_data";

	//saas平台-数据字典表
	public final static String TABLE_GENERAL_DICTIONARY = "general_dictionary";
	//saas平台-对象表
	public final static String TABLE_TEMP_OBJECT = "temp_object";
	//saas平台-信息点组件表
	public final static String TABLE_INFO_COMPONENT = "info_component";
	//数据平台-项目表
	public final static String TABLE_PROJECT = "projects";
	//设备通讯录表
	public final static String TABLE_EQUIP_COMPANY_BOOK= "equip_company_book";
	//设备型号表
	public final static String TABLE_EQUIP_MODEL= "equip_model";

	/******  字典类型    *******/
	//工单类型数据字典
	//public final static String DICT_WORK_ORDER_TYPE = "work_order_type";
	public final static String DICT_WORK_TYPE = "work_type";
	//专业数据字典
	public final static String DICT_DOMAINS = "domain_require";

	/****** 表字段-通用  ******/
	//创建时间，格式yyyyMMddHHmmss
	public final static String TABLE_FIELD_CTEATE_TIME = "create_time";
	//更新时间，格式yyyyMMddHHmmss
	public final static String TABLE_FIELD_UPDATE_TIME = "update_time";
		
	//数据有效状态，true-有效，false-无效
	public final static String TABLE_FIELD_VALID = "valid";
	
	/****** 表字段-id开头  ******/
	//日志表
	public final static String TABLE_LOG_ID_TAG = "RZ";
	//sop
	public final static String TABLE_SOP_ID_TAG = "SOP";

	public static class Result {
		public final static String RESULT = "Result";
		public final static String CONTENT = "Content";
		public final static String ITEM = "Item";
		public final static String COUNT = "Count";
		public final static String SUCCESS = "success";
		public final static String FAILURE = "failure";
		
		public final static String RESULTMSG = "ResultMsg";
		//persagy
		public final static String PERSAGY_RESULT = "result";
		public final static String PERSAGY_REASON = "reason";
		public final static String PERSAGY_CONTENT = "content";
	}
	
}
