package com.persagy.old.service;

public interface EquipModelServiceI {
	/**
	 * 根据条件查询设备型号表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryRecordByCondition(String jsonStr) throws Exception;
	/**
	 * 根据条件批量查询设备型号表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryBathchMergeRecordByCondition(String jsonStr, String arrayInfo, String infoName) throws Exception;
	/**
	 * 根据设备型号ids批量查询设备型号表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryBathchMergeRecordByequipModelIds(String jsonStr, String arrayInfo, String infoName) throws Exception;
	/**
	 * 根据设备型号id查询设备型号表
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryRecordByEquipModelId(String jsonStr) throws Exception;
	/**
	 * 根据设备型号名称查询所有设备型号（有效和无效）
	 * @param jsonStr
	 * @return
	 * @throws Exception
	 */
	String queryRecordByEquipModelName(String jsonStr) throws Exception;
}
