package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopObjRel extends Model<SopObjRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_obj_id", type = IdType.ASSIGN_UUID)
    private String sopObjId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 对象id
     */
    private String objId;

    /**
     * obj_tye:build-建筑、floor-楼层、space-空间、system-系统实例、equip-设备实例，system_class-系统类、equip_class-设备类，component-部件，tool-工具
     */
    private String objType;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    public String getSopObjId() {
        return sopObjId;
    }

    public void setSopObjId(String sopObjId) {
        this.sopObjId = sopObjId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopObjId;
    }

    @Override
    public String toString() {
        return "SopObjRel{" +
        "sopObjId=" + sopObjId +
        ", sopId=" + sopId +
        ", objId=" + objId +
        ", objType=" + objType +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
