package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopOrderTypeRel extends Model<SopOrderTypeRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_order_type_id", type = IdType.ASSIGN_UUID)
    private String sopOrderTypeId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 工单类型
     */
    private String orderType;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    private Boolean valid;


    public String getSopOrderTypeId() {
        return sopOrderTypeId;
    }

    public void setSopOrderTypeId(String sopOrderTypeId) {
        this.sopOrderTypeId = sopOrderTypeId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopOrderTypeId;
    }

    @Override
    public String toString() {
        return "SopOrderTypeRel{" +
        "sopOrderTypeId=" + sopOrderTypeId +
        ", sopId=" + sopId +
        ", projectId=" + projectId +
        ", orderType=" + orderType +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
