package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-18
 */
public class SopReviseMsg extends Model<SopReviseMsg> {

    private static final long serialVersionUID=1L;

    @TableId(value = "msg_id", type = IdType.ASSIGN_UUID)
    private String msgId;

    private String sopId;

    private String objId;

    private String objName;

    /**
     * 1-对象模型、2-对象实例、3-信息点
     */
    private String objType;

    private String content;

    /**
     * 1-未处理、2-已忽略、3-已自动处理
     */
    private String status;

    /**
     * yyyyMMddhhmmss
     */
    private String createTime;

    /**
     * yyyyMMddhhmmss
     */
    private String updateTime;


    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.msgId;
    }

    @Override
    public String toString() {
        return "SopReviseMsg{" +
        "msgId=" + msgId +
        ", sopId=" + sopId +
        ", objId=" + objId +
        ", objName=" + objName +
        ", objType=" + objType +
        ", content=" + content +
        ", status=" + status +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
