package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopSopRel extends Model<SopSopRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_sop_id", type = IdType.ASSIGN_UUID)
    private String sopSopId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 被引用sop的主键id
     */
    private String relSopId;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    public String getSopSopId() {
        return sopSopId;
    }

    public void setSopSopId(String sopSopId) {
        this.sopSopId = sopSopId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getRelSopId() {
        return relSopId;
    }

    public void setRelSopId(String relSopId) {
        this.relSopId = relSopId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopSopId;
    }

    @Override
    public String toString() {
        return "SopSopRel{" +
        "sopSopId=" + sopSopId +
        ", projectId=" + projectId +
        ", sopId=" + sopId +
        ", relSopId=" + relSopId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
