package com.persagy.fm.sop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.fm.sop.dao.SopSopRelMapper;
import com.persagy.fm.sop.model.dto.SopSopRel;
import com.persagy.fm.sop.service.SopSopRelService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
@Service
public class SopSopRelServiceImpl extends ServiceImpl<SopSopRelMapper, SopSopRel> implements SopSopRelService {

    @Override
    public boolean deleteBySopId(String sopId) {
        SopSopRel  sopSopRel = new SopSopRel();
        QueryWrapper<SopSopRel> sopSopRelQueryWrapper = new QueryWrapper<SopSopRel>();
        sopSopRelQueryWrapper.eq("sop_id",sopId);
        return sopSopRel.delete(sopSopRelQueryWrapper);
    }
}
