package com.persagy.old.common;

public class RedisConstant {
    /**
     * 存储管理分区集合的key,String类型
     * MANAGE_PARATION_LIST_KEY:[{管理分区},{管理分区}]
     */
    public static final String MANAGE_PARTITION_LIST_KEY="MANAGE_PARTITION_LIST";

    /**
     * 索引为5的redis库中存放不加入报表统计的表的键名
     * 格式为String格式
     */
    public static final String NO_JOIN_COUNT="NO_JOIN_COUNT_PROJECT_IDS";
    /**
     * redis库中存所有项目名称的键
     * 格式为Hash格式
     */
    public static final String ALL_PROJECT_NAMES_KEY="ALL_PROJECT_NAMES";
    /**
     * redis库中存所有启用状态的项目id
     * 格式为Set格式
     */
    public static final String ALL_ENABLED_PROJECTIDS_KEY="ALL_ENABLED_PROJECTIDS";
    /**
     * redis库中存所有的项目信息
     * 格式为Hash格式
     */
    public static final String ALL_PROJECTS_KEY = "ALL_PROJECTS";

    /**
     * redis库中存所有权限包信息
     * 格式为Hash格式
     */
    public static final String ALL_AUTHO_PACKAGES_KEY = "ALL_AUTHO_PACKAGES";

    /**
     * redis库中存所有部门信息
     * 格式为Hash格式
     */
    public static final String ALL_DEPT_KEY = "ALL_DEPTS";

    /**
     * redis库中存工单类型信息
     * 格式为Hash格式
     */
    public static final String ALL_WO_FLOW_PLAN_PERSAGY_KEY = "ALL_WO_FLOW_PLAN_PERSAGY";

    /**
     * redis库中存所有岗位信息
     * 格式为Hash格式
     */
    public static final String ALL_POSITIONS_KEY = "ALL_POSITIONS";
    /**
     * redis库中存所有岗位信息
     * 格式为Hash格式
     */
    public static final String ALL_POSITIONS_DEPT_KEY = "ALL_POSITIONS_DEPT";
    /**
     * redis库中存所有人员基本信息的key，使用人员id作为key
     * 格式为Hash格式
     */
    public static final String PERSON_CACHE_ID="PERSON_CACHE_ID";
    /**
     * redis库中存所有人员基本信息的key，PERSON_CACHE_USER_ID_人员id_用户id
     * 格式为String格式
     */
    public static final String PERSON_CACHE_USER_ID="PERSON_CACHE_USER_ID";
    /**
     * redis库中存所有项目人员信息的key,使用PERSON_PROJECT_POSITION_人员id_项目id_岗位id
     * 格式为String格式
     */
    public static final String PERSON_PROJECT_POSITION_PREFIX = "PERSON_PROJECT_POSITION";
    /**
     * redis库中存所有专业类型信息
     * 格式为Hash格式
     */
    public static final String ALL_SPECIALTY_KEY = "ALL_SPECIALTY";

    /**
     * redis库中存组件关系表信息
     * 格式为Hash格式
     */
    public static final String ALL_COMPONENT_RELATION_KEY = "ALL_COMPONENT_RELATION";


    /**
     * redis库中存信息点组件表信息
     * 格式为Hash格式
     */
    public static final String ALL_INFO_COMPONENT_KEY = "ALL_INFO_COMPONENT";


    /**
     * redis库中存数据字典表信息
     * 格式为Hash格式
     */
    public static final String ALL_GENERAL_DICTIONARY_KEY = "ALL_GENERAL_DICTIONARY";


    /**
     * redis库中存对象工单提醒配置表信息
     * 格式为Hash格式
     */
    public static final String ALL_OBJ_WO_REMIND_CONFIG_KEY = "ALL_OBJ_WO_REMIND_CONFIG";

    /**
     * redis库中存事件订阅管理表信息
     * 格式为Hash格式
     */
    public static final String ALL_EVENT_AUTHORITY_KEY = "ALL_EVENT_AUTHORITY";

    /**
     * redis库中存储所有任务类型的键
     * 格式为Hash格式
     */
    public static final String ALL_TASK_TYPE_KEY = "ALL_TASK_TYPE";
    /**
     * redis库中存储所有任务类型名称的键
     * 格式为Hash格式
     */
    public static final String ALL_TASK_TYPE_NAME_KEY = "ALL_TASK_TYPE_NAME";

    /**
     * redis库中存储所有节点类型的键
     * 格式为Hash格式
     */
    public static final String ALL_NODE_TYPE_KEY = "ALL_NODE_TYPE";
    /**
     * redis库中存储所有节点类型名称的键
     * 格式为Hash格式
     */
    public static final String ALL_NODE_TYPE_NAME_KEY = "ALL_NODE_TYPE_NAME";

    /**
     * redis库中存储所有重要级别的键
     * 格式为Hash格式
     */
    public static final String ALL_URGENCY_KEY = "ALL_URGENCY";
    /**
     * redis库中存储所有重要级别名称的键
     * 格式为Hash格式
     */
    public static final String ALL_URGENCY_NAME_KEY = "ALL_URGENCY_NAME";

    /**
     * redis库中存储所有审核流程的键
     * 格式为Hash格式
     */
    public static final String ALL_AUDIT_STREAM_KEY = "ALL_AUDIT_STREAM";
    /**
     * redis库中存储所有审核流程名称的键
     * 格式为Hash格式
     */
    public static final String ALL_AUDIT_STREAM_NAME_KEY = "ALL_AUDIT_STREAM_NAME";
    /**
     * redis库中存储项目计划引用集团计划个数的键
     * 格式为Hash格式
     */
    public static final String ALL_QUOTE_GOUP_PLAN_NUM_KEY = "ALL_QUOTE_GOUP_PLAN_NUM";

    /**
     * redis库中存所有合同类型提醒设置表
     * 格式为Hash格式
     */
    public static final String ALL_CONTRACT_TYPE_KEY = "ALL_CONTRACT_TYPE";
    /**
     * redis库中存所有供应商类型信息
     * 格式为Hash格式
     */
    public static final String ALL_SUPPLIER_TYPE_KEY = "ALL_SUPPLIER_TYPE";

    /**
     * redis库中存所有供应商类型扩展信息
     * 格式为Hash格式
     */
    public static final String ALL_SUPPLIER_TYPE_EXTEND_KEY = "ALL_SUPPLIER_TYPE_EXTEND";

    /**
     * redis库中存所有供应商信息
     * 格式为Hash格式
     */
    public static final String ALL_SUPPLIER_KEY = "ALL_SUPPLIER";

    /**
     * redis库中存 信息点方案id：系统启动时会创建自定义信息点方案，创建成功会返回方案id，赋值给UNIQUE_SCHEME，创建操作只执行一次
     * 格式为Hash格式
     */
    public static final String UNIQUE_SCHEME_KEY = "UNIQUE_SCHEME";

    /**
     * redis库中存所有项目、建筑功能类型缓存的Key
     * 格式为Hash格式
     */
    public static final String ALL_FUNCTION_TYPES_KEY = "ALL_FUNCTION_TYPES_KEY";

    /**
     * redis库中存所有地理位置-省市区缓存类型的Key
     * 格式为Hash格式
     */
    public static final String ALL_GEOGRAPHY_KEY = "ALL_GEOGRAPHY_KEY";

    /**
     * redis库中存所有用户信息,user_id为hkey
     * 格式为Hash格式
     */
    public static final String ALL_USERS_KEY = "ALL_USERS";

    /**
     * redis库中存所有用户信息,hkey为用户名
     * 格式为Hash格式
     */
    public static final String All_USERS_NAME_KEY = "ALL_USERS_NAME";
    /**
     * redis库中存所有用户密码的MD5值，user_id为hkey
     * 格式为Hash格式
     */
    public static final String ALL_USERS_PASS_MD5_KEY = "ALL_USERS_PASS_MD5_KEY";

    /**
     * redis库中存权限包id最大个数的Key
     * 格式为Hash格式
     */
    public static final String AUTHORIZATION_INCR_ID = "authorizationIncrId";

    /**
     * redis库中存储的所有功能点
     */
    public static final String ALL_FUNCTIONS_KEY = "ALL_FUNCTIONS";
    /**
     * redis库中存储的所有资源点
     */
    public static final String ALL_RESOURCES_KEY = "ALL_RESOURCES";
    /**
     * redis库中存储的所有功能标签KEY
     */
    public static final String ALL_FUNCTIONTAGS_KEY = "ALL_FUNCTIONTAGS";

    /**
     * redis库中存所有事件类型数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_TYPES = "ALL_EVENT_TYPES";

    /**
     * redis库中存所有事件来源数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_SOURCES = "ALL_EVENT_SOURCES";

    /**
     * redis库中存所有紧急程度数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_URGENCYS = "ALL_EVENT_URGENCYS";
    /**
     * redis库中存所有关闭类型数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_CLOSE_TYPES = "ALL_EVENT_CLOSE_TYPES";

    /**
     * redis库中存所有问题原因数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_ROOT_REASONS = "ALL_EVENT_ROOT_REASONS";

    /**
     * redis库中存所有问题类型数据
     * 格式为String格式
     */
    public static final String ALL_EVENT_PROBLEM_TYPES = "ALL_PROBLEM_TYPES";

    /**
     * redis库中存所有问题类型树数据
     * 格式为String格式
     */
    public static final String PROBLEM_TYPES_TREE = "PROBLEM_TYPES_TREE";
    /**
     * redis库中存数据平台中的专业-名称数据
     * 格式为String格式
     */
    public static final String ALL_DOMAIN_SPECIALITY_KEY = "ALL_DOMAIN_SPECIALITY";
    /**
     * redis库中存数据平台中的系统类-名称数据
     * 格式为String格式
     */
    public static final String ALL_SYSTEM_CLASS_KEY = "ALL_SYSTEM_CLASS";
    /**
     * redis库中存数据平台中的设备类-名称数据
     * 格式为String格式
     */
    public static final String ALL_EQUIPMENT_CLASS_KEY = "ALL_EQUIPMENT_CLASS";


    /**
     * redis库中存数据平台中的图实例ID 项目id:图类型 -- 图实例ID  数据
     * 格式为String格式
     */
    public static final String ALL_GRAPH_INSTANCE_KEY = "ALL_GRAPH_INSTANCE";

}
