package com.persagy.old.common;

/**
 * 
 * Description:   sop通用字段常数
 * Company: Persagy 
 * @author yuecaipu 
 * @version 1.0
 * @since: 2018年7月9日: 上午10:45:12
 * Update By yuecaipu 2018年7月9日: 上午10:45:12
 */
public class SopConst {

    //发布状态-1-正常、
    public final static String PUBLISH_STATUS_NORMAL = "1";
    //发布状态-2-待修订
    public final static String PUBLISH_STATUS_REVISE = "2";
    //发布状态-3-修订中
    public final static String PUBLISH_STATUS_REVISEING = "3";
    
    //SOP状态-0-草稿
    public final static String SOP_STATUS_DRAFT = "0";
    //SOP状态-1-已发布
    public final static String SOP_STATUS_PUBLISH = "1";
    //SOP状态-2-已作废
    public final static String SOP_STATUS_DESTROYED= "2";
    
    //SOP类型-1-集团（通用）
    public final static String SOP_TYPE_GROUP = "1";
    //SOP状态-2-项目专用
    public final static String SOP_TYPE_PROJECT= "2";
       
}

/**
 * Description:    sop待修订消息表常数
 */
class SopReviseMsgConst {
    
    //对象类型-1-对象模型
    public final static String OBJ_TYPE_MODEL = "1";
    //对象类型-2-对象实例
    public final static String OBJ_TYPE_EXAMPLE = "2";
    //对象类型-3-信息点
    public final static String OBJ_TYPE_INFO = "3";
    
    //状态-1-已处理
    public final static String STATUS_RESOLVED = "1";
    //状态-2-已忽略
    public final static String STATUS_IGNORE = "2";
    //状态-2-已自动处理
    public final static String STATUS_RESOLVED_AUTO = "3";
    
}

/**
 * Description:    sop引用关系作废消息表常数
 */
class SopDestroyMsgConst {
	
	//状态-1-未处理
	public final static String STATUS_NO_RESOLVED = "1";
	//状态-2-已处理
	public final static String STATUS_RESOLVED = "2";
	
}

/**
 * Description:    操作日志表
 */
class OperateLogConst {
	
	//操作类型-I-新增
	public final static String OPERATE_TYPE_INSERT = "I";
	//操作类型-U-更新
	public final static String OPERATE_TYPE_UPDATE = "U";
	//操作类型-D-删除
	public final static String OPERATE_TYPE_DELETE = "D";
	//操作类型-Q-查询
	public final static String OPERATE_TYPE_QUERY = "Q";
	
	//操作结果-0-失败
	public final static String OPERATE_RESULT_FAILED = "0";
	//操作结果-1-成功
	public final static String OPERATE_RESULT_SUCCESS = "1";

}
